gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object A structure that contains different colors. None.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A
  if true, the newly created colormap will be a private colormap, and all colors in it will be allocated for the applications use.
  Creates a new colormap for the given visual.
  None.
- Method
  2.12.0.0
  System.Boolean `` `` `` The color to allocate. On return the pixel field will be filled in if allocation succeeds. If true, the color is allocated writeable (their values can later be changed using ). Writeable colors cannot be shared between applications. If true, GDK will attempt to do matching against existing colors if the color cannot be allocated as requested. Allocates a single color from a colormap. True if the allocation succeeded. None.
- Method
  2.12.0.0
  System.Int32 `` `` `` `` `` The color values to allocate. On return, the pixel values for allocated colors will be filled in. The number of colors in colors. If true, the colors are allocated writeable (their values can later be changed using ). Writeable colors cannot be shared between applications. If true, GDK will attempt to do matching against existing colors if the colors cannot be allocated as requested. An array of length ncolors. On return, this indicates whether the corresponding color in colors was sucessfully allocated or not. Allocates colors from a colormap. The number of colors that were not successfully allocated. None.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a To be added To be added
- Method
  2.12.0.0
  System.Void `` `` The colors to free. The number of colors in colors. Frees previously allocated colors. None.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Void `` `` Pixel value in hardware display format. with red, green, blue fields initialized. Locates the RGB color in the colormap corresponding to the given hardware pixel. Pixel must be a valid pixel in the colormap; it's a programmer error to call his function with a pixel which is not in the colormap. Hardware pixels are normally obtained from , or from a . (A contains image data in hardware format, a contains image data in a canonical 24-bit RGB format.)
- Method
  2.12.0.0
  System.Obsolete
  Gdk.Colormap To be added a To be added
- Property
  2.12.0.0
  Gdk.Screen Gets the screen for which this colormap was created. The screen for which this colormap was created. None.
- Property
  2.12.0.0
  System.Int32 The size of the The size of the
- Property
  2.12.0.0
  Gdk.Colormap Gets the system's default colormap for the default screen. The system's default colormap for the default screen. None.
- Property
  2.12.0.0
  System.Obsolete
  System.Int32 To be added a To be added
- Method
  2.12.0.0
  System.Obsolete
  System.Void To be added To be added
- Property
  2.12.0.0
  Gdk.Visual Returns the visual for which a given colormap was created. The of the colormap. None.